﻿@model BrokerageAdvisoryAccount
@{
    List<SelectListItem> ClientType = ViewBag.ClientType;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Brokerage/Advisory Accounts</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="savebrokerageadvisoryaccount" class="form fv-plugins-bootstrap fv-plugins-framework" id="BusinessInterestInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteBrokerageAdvisoryAccount">
            <div class="modal-body">
                <input asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group @(Model?.Guid!=null?"disabled-div":null)">
                            <label asp-for="AccountType"></label>
                            <select class="form-control form-control-lg @(Model?.Guid!=null?"disabled":null)" asp-for="AccountType" asp-items="Html.GetEnumSelectList<BrokerageAdvisoryAccountTypeEnum>()">
                            </select>
                            <span asp-validation-for="AccountType" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Owner"></label>
                            <select class="form-control form-control-lg" asp-for="Owner">
                                @foreach (var item in ClientType)
                                {
                                    <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected">@item.Text</option>
                                }
                            </select>
                            <span asp-validation-for="Owner" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="TaxClassification"></label>
                            <select class="form-control form-control-lg" asp-for="TaxClassification" asp-items="Html.GetEnumSelectList<TaxClassificationEnum>()">
                            </select>
                            <span asp-validation-for="TaxClassification" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="PurchasePrice"></label>
                            <input asp-for="PurchasePrice" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="PurchasePrice" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="CurrentBalance"></label>
                            <input asp-for="CurrentBalance" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="CurrentBalance" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="AvgRateReturn"></label>
                            <input asp-for="AvgRateReturn" class="form-control form-control-lg percentage">
                            <span asp-validation-for="AvgRateReturn" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="AnnualContribtion"></label>
                            <input asp-for="AnnualContribtion" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="AnnualContribtion" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Nickname"></label>
                            <input asp-for="Nickname" class="form-control form-control-lg" type="text">
                            <span asp-validation-for="Nickname" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group m">
                            <label class="switch-label form-check-label" asp-for="HasAnnualIncome">
                                Annual Income?
                            </label>
                            <div>
                                <span class="switch switch-icon switch-sm switch-custom">
                                    <label>
                                        <input type="checkbox" asp-for="HasAnnualIncome">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 annualIncome-div">
                        <div class="form-group">
                            <label asp-for="AnnualIncome"></label>
                            <input asp-for="AnnualIncome" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="AnnualIncome" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="brokerageadvisoryaccount-template" type="text/html">
    {{if action=="add"}}
    <div class="brokerageadvisoryaccount-info-div" id="brokerageadvisoryaccount-card-${brokerageAdvisoryAccountInfo.guid}">
        {{/if}}
        <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #000066">
            <div class="card-header" style="background: #000066">
                <div class="card-title m-0 w-75">
                    <h3 class="card-label font-size-h4 font-weight-bold text-white">
                                <span>${brokerageAdvisoryAccountInfo.accountTypeString}</span>
                            {{if brokerageAdvisoryAccountInfo.nickname}}
                                <span>- ${brokerageAdvisoryAccountInfo.nickname}</span>
                            {{/if}}
                    </h3>
                </div>
                <div class="card-toolbar">
                    <button class="btn btn-icon btn-sm btn-brokerageadvisoryaccounts-edit" data-guid="${brokerageAdvisoryAccountInfo.guid}">
                        <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                    </button>
                    <button class="btn btn-icon btn-sm btn-brokerageadvisoryaccounts-delete" data-guid="${brokerageAdvisoryAccountInfo.guid}">
                        <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                    </button>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Owner:</span>
                        <span class="col-md-7 p-0">${brokerageAdvisoryAccountInfo.ownByWithData}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Tax Classification:</span>
                        <span class="col-md-7 p-0">${brokerageAdvisoryAccountInfo.taxClassificationString}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Purchase Price:</span>
                        <span class="col-md-7 p-0">${currencyFormat.format(brokerageAdvisoryAccountInfo.purchasePrice)}</span>
                    </div>
                    <div class="d-flex align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Current Balance:</span>
                        <span class="col-md-7 p-0">${currencyFormat.format(brokerageAdvisoryAccountInfo.currentBalance)}</span>
                    </div>
                    <div class="d-flex align-items-end">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Annual Contribution:</span>
                        <span class="col-md-7 p-0">${currencyFormat.format(brokerageAdvisoryAccountInfo.annualContribtion)}</span>
                    </div>
                    <div class="d-flex align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Rate of Return:</span>
                        <span class="col-md-7 p-0">${Number(brokerageAdvisoryAccountInfo.avgRateReturn).toFixed(2)}%</span>
                    </div>
                    {{if brokerageAdvisoryAccountInfo.accountType==BrokerageAdisoryAccountType.IndividualCorporateBond||brokerageAdvisoryAccountInfo.accountType==BrokerageAdisoryAccountType.IndividualMunicipalBond||brokerageAdvisoryAccountInfo.accountType==BrokerageAdisoryAccountType.IndividualUSGovtBond}}
                    <div class="d-flex align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Duration(Years):</span>
                        <span class="col-md-7 p-0">${brokerageAdvisoryAccountInfo.years}</span>
                    </div>
                    {{/if}}
                </div>
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>
<script>
    setTimeout(function() {
        KTApp.unblockPage();
        $("#BrokerageAdvisoryAccountModal").modal({ backdrop: 'static' });
        var hasIncome = $("#HasAnnualIncome").is(":checked");
        showHideAnnualIncome(hasIncome);
        var accounttype = $("#AccountType").val();
        showHideDuration(accounttype);
    }, 2000);
    var onFormCompleteBrokerageAdvisoryAccount = function(response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        var brokerageAdvisoryAccountInfo = responseObj.data.brokerageAdvisoryAccountInfo;
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#brokerageadvisoryaccount-card-${brokerageAdvisoryAccountInfo.guid}`)
                if (div.length > 0)
                    $(`#brokerageadvisoryaccount-card-${brokerageAdvisoryAccountInfo.guid}`).html($("#brokerageadvisoryaccount-template").tmpl(responseObj.data));
                else {
                    responseObj.data.action = "add";
                    $("#brokerageadvisoryaccounts-main-div").prepend($("#brokerageadvisoryaccount-template").tmpl(responseObj.data));
                }
                var hasInvestmentIncome = responseObj.data.hasInvestmentIncome == true ? 1 : 0;
                $("#HasInvestmentIncome").val(hasInvestmentIncome);
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
                LoadExplicitVue();
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
</script>